Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class PropertyName

    java.lang.Object
      org.deegree.model.filterencoding.Expression
          org.deegree.model.filterencoding.PropertyName

    public class PropertyName

extends Expression

Encapsulates the information of a PropertyName element.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.filterencoding.Expression
`id`

Constructor Summary
`PropertyName(PropertyPath value)` Creates a new instance of `PropertyName`.
`PropertyName(QualifiedName elementName)` Creates a new instance of `PropertyName`.
`PropertyName(String value)` Deprecated. use #PropertyName(QualifiedName) instead

Method Summary
`static Expression` | `buildFromDOM(Element element)` Given a DOM-fragment, a corresponding Expression-object is built.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one.
`Object` | `evaluate(Feature feature)` Returns the `PropertyName`'s value (to be used in the evaluation of a complexer `Expression`).
`PropertyPath` | `getValue()` Returns the PropertyName's value.
`void` | `setValue(PropertyPath value)`
`String` | `toString()` Returns a string representation of the object.
`StringBuffer` | `toXML()` Produces an indented XML representation of this object.

Methods inherited from class org.deegree.model.filterencoding.Expression
`getExpressionId, getExpressionName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyName

    @Deprecated
    public PropertyName(String value)

  Deprecated. use #PropertyName(QualifiedName) instead

  Creates a new instance of `PropertyName`.

  Parameters:
    `value` -

### PropertyName

    public PropertyName(QualifiedName elementName)

  Creates a new instance of `PropertyName`.

  Parameters:
    `elementName` -

### PropertyName

    public PropertyName(PropertyPath value)

  Creates a new instance of `PropertyName`.

  Parameters:
    `value` -

Method Detail

### buildFromDOM

    public static Expression buildFromDOM(Element element)
                                   throws FilterConstructionException

  Given a DOM-fragment, a corresponding Expression-object is built.

  Parameters:
    `element` -
  Returns:
    the Expression object for the passed element
  Throws:
    `FilterConstructionException` - if the structure of the DOM-fragment is invalid

### getValue

    public PropertyPath getValue()

  Returns the PropertyName's value.

  Returns:
    the PropertyName's value.

### setValue

    public void setValue(PropertyPath value)

  Parameters:
    `value` -
  See Also:
    `getValue()`

### toXML

    public StringBuffer toXML()

  Produces an indented XML representation of this object.

  Specified by:
    `toXML` in class `Expression`
  Returns:
    an XML representation of this object

### evaluate

    public Object evaluate(Feature feature)
                    throws FilterEvaluationException

  Returns the `PropertyName`'s value (to be used in the evaluation of a complexer `Expression`). If the value is a geometry, an instance of `Geometry` is returned, if it appears to be numerical, a `Double`, else a `String`.

  TODO: Improve datatype handling.

  Specified by:
    `evaluate` in class `Expression`
  Parameters:
    `feature` - that determines the value of this `PropertyName`
  Returns:
    the resulting value
  Throws:
    `FilterEvaluationException` - if the has no `Property` with a matching name

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org